import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { HKActivityMoveMode } from "./HKActivityMoveMode.js";
export declare class _HKActivityMoveModeObject extends _NSObject {
    static alloc(): _HKActivityMoveModeObject;
    static new(): _HKActivityMoveModeObject;
    init(): _HKActivityMoveModeObject;
    activityMoveMode(): HKActivityMoveMode;
}
export interface _HKActivityMoveModeObject extends _NSCopying, _NSSecureCoding {
}
